import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/get?${stringify(params)}`);
}


export async function insertForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForAa01(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function uploadSingleFile(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/aa01/uploadSingleFile`, {
        method: 'POST',
        data: params
    });
}